# class Gem::Source::Installed

Represents an installed gem. This is used for dependency resolution.

### Public Instance Methods

<=> (other)
Source

    # File lib/rubygems/source/installed.rb, line 14
    def <=>(other)
      case other
      when Gem::Source::Git,
           Gem::Source::Lock,
           Gem::Source::Vendor then
        -1
      when Gem::Source::Installed then
        0
      when Gem::Source then
        1
      end
    end

`Installed` sources sort before all other sources

download (spec, path)
Source

    # File lib/rubygems/source/installed.rb, line 30
    def download(spec, path)
      nil
    end

We don’t need to download an installed gem